Subject: [PATCH v3 0/3] clocksource/vt8500: Fix hangs in small delays

From: [email-masked] (Daniel Lezcano)
Date: Thu, 7 Jan 2016 11:49:32 +0100

On 01/06/2016 04:30 PM, Roman Volkov wrote:
> ? Wed, 6 Jan 2016 15:24:07 +0100
> Daniel Lezcano <[email-masked]> ?????:
>
>> On 01/01/2016 02:24 PM, Roman Volkov wrote:
>>> From: Roman Volkov <[email-masked]>
>>>
>>> vt8500 hangs in nanosleep() function, starting from commit
>>> c6eb3f70d4482806dc2d3e1e3c7736f497b1d418, making the system
>>> unusable. Per investigation, looks like set_next_event() now
>>> receives too small delta and fails with -ETIME.
>>
>>
>> Hi Roman,
>>
>> I think the patch 1/3 should go as a fix for 4.4-rc7 and stable and
>> the two other should go for the next version as they are improvements
>> regarding the current code.
>>
>
> Hi Daniel,
>
> I agree, -stable can live without the patches 2 an 3.

Ok, I applied patch 1 for fix/urgent + stable and 2/3 for the next release.

-- 
  <http://www.linaro.org/> Linaro.org ? Open source software for ARM SoCs

Follow Linaro:  <http://www.facebook.com/pages/Linaro> Facebook |
<http://twitter.com/#!/linaroorg> Twitter |
<http://www.linaro.org/linaro-blog/> Blog